## gtk4 4.16.7%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gtk4
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: adwaita-icon-theme <!nocheck>,
                at-spi2-core <!nocheck>,
@@ -30,6 +29,7 @@
                libcloudproviders-dev (>= 0.3.1),
                libcpdb-dev (>= 2.0~b5),
                libcpdb-frontend-dev (>= 2.0~b5),
+               libcups2-dev,
                libegl1-mesa-dev [linux-any],
                libepoxy-dev,
                libfontconfig-dev,
@@ -39,7 +39,7 @@
                libgraphene-1.0-dev,
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
-               libharfbuzz-dev,
+               libharfbuzz-dev (>= 8.0.1),
                libjpeg-dev,
                libjson-glib-dev:native,
                libpango1.0-dev (>= 1.52.0),
@@ -95,8 +95,8 @@
          libgles2,
          libgtk-4-common (>= ${source:Version})
 Provides: ${gtk:Provides}
-Recommends: libgtk-4-bin,
-            cpdb-backend-cups (>= 2.0~b5),
+Recommends: ${local:Recommends},
+            libgtk-4-bin,
             iso-codes,
             librsvg2-common (>= 2.52.0),
             libgtk-4-media-gstreamer,
