## gtk4 4.16.7+ds

=== debian/changelog ===
gtk4 (4.16.7+ds-1deepin1) unstable; urgency=medium

  * Skip gdk image test

 -- Woomeeme <2968606874@qq.com>  Thu, 12 Dec 2024 15:34:42 +0800

gtk4 (4.16.7+ds-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 18:37:54 -0500

gtk4 (4.16.5+ds-2) unstable; urgency=medium

  * d/watch: Only watch for stable (4.even.x) releases
  * d/gbp.conf: Use upstream/4.16.x branch.
    4.17.0 has been released, but it's a development release and not
    suitable for testing/unstable yet.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 11 Nov 2024 21:24:58 +0000

gtk4 (4.16.5+ds-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release
  * d/p/printing-If-we-cannot-contact-Avahi-debug-log-the-error-m.patch,
    d/p/printing-Treat-any-G_DBUS_ERROR-contacting-Avahi-as-non-p.patch:
    Drop patches that were applied upstream
  * d/tests/run-with-display: Send xvfb-run output to stderr
    (helps: #1082659, #1084230)

  [ Jeremy Bícha ]
  * Quote cpdb dependency to fix Ubuntu build

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Nov 2024 12:25:51 +0000

gtk4 (4.16.3+ds-2) unstable; urgency=high

  [ Simon McVittie ]
  * Re-enable the older CUPS print backend and disable CPDB, except
    on Ubuntu.
    CPDB is not yet available in Debian in a useful form: the CPDB backend
    requires cups-filters 2.x, which conflicts with the 1.x version
    of cups-filters that is currently used by the CUPS daemon. There
    is conflicting information in #1079457 about the extent to which
    cups-filters 2.x is or is not suitable for use with CUPS v2 in trixie.
    Continue to build-depend on CPDB, so that we can continue to
    build that backend on Ubuntu, on the assumption that the Canonical
    developers who made that change know what's considered to be right
    for Ubuntu.
    (Mitigates: #1079457, #1084195) (Closes: #1084916)
  * d/p/printing-If-we-cannot-contact-Avahi-debug-log-the-error-m.patch,
    d/p/printing-Treat-any-G_DBUS_ERROR-contacting-Avahi-as-non-p.patch:
    Add proposed patches to fix autopkgtest failure with cups print backend

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Oct 2024 08:45:22 -0400

gtk4 (4.16.3+ds-1) unstable; urgency=medium

  * New upstream release (LP: #2083714)
  * Revert "Fix cursor sizes under Plasma/Wayland when using (fractional) scaling"
    The backported patches caused cursor size regressions with scaling on GNOME.
    (Closes: #1083055) (Reopens: #1083115)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 15:27:50 -0400

gtk4 (4.16.2+ds-4) unstable; urgency=high

  [ Michael Biebl ]
  * Fix cursor sizes under Plasma/Wayland when using scaling
    (Closes: #1083055) (LP: #2083274)

  [ Jeremy Bícha ]
  * Bump urgency to high since this includes multiple 4.16 regression fixes
    (Closes: #1083019)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 30 Sep 2024 15:16:37 -0400

gtk4 (4.16.2+ds-3) unstable; urgency=medium

  * Release to unstable (Mitigates: #1081962)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 29 Sep 2024 10:25:23 -0400
