=== debian/rules ===
--- 
+++ 
@@ -74,10 +74,18 @@
 configure_flags_deb = \
 	-Dauto_features=enabled \
 	-Dbroadway-backend=true \
-	-Dprint-cpdb=enabled \
-	-Dprint-cups=disabled \
 	-Dx11-backend=true \
 	${NULL}
+local_recommends =
+
+ifeq ($(call dpkg_vendor_derives_from_v1,ubuntu),yes)
+configure_flags_deb += -Dprint-cpdb=enabled
+configure_flags_deb += -Dprint-cups=disabled
+local_recommends += 'cpdb-backend-cups (>= 2.0~b5)',
+else
+configure_flags_deb += -Dprint-cpdb=disabled
+configure_flags_deb += -Dprint-cups=enabled
+endif
 
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 configure_flags_deb += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
@@ -263,9 +271,3 @@
 # mips*: many tests segfault as of 2024-09-16, see also https://bugs.debian.org/993550
 # powerpc: "LLVM ERROR: Relocation type not implemented yet!" as of 2024-09-16, https://bugs.debian.org/1081947
 # sparc*: "Target has no JIT support" as of 2024-09-16, https://bugs.debian.org/1081943
-ifneq ($(filter mips% powerpc sparc%,$(DEB_HOST_ARCH_CPU)),)
-$(info Disabling use of llvmpipe on this CPU)
-export GALLIUM_DRIVER=softpipe
-# https://bugs.debian.org/1077178
-ignore_reftests += label-shadows
-# These succeed with llvmpipe, but fail with softpipe
