## gtk4 4.17.1+ds

=== debian/changelog ===
gtk4 (4.17.1+ds-2) experimental; urgency=medium

  * Fix typo in Breaks field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Dec 2024 18:16:08 -0500

gtk4 (4.17.1+ds-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
    - The Icon Browser is no longer provided
  * GTK no longer allows displays to be created before GDK has been initialized.
    Add Breaks for apps that were known to be broken by this change.
    See gtk !7836
  * missing-sources: Update emojibase
  * missing-sources: Copy emoji 16.0 files from Debian's unicode-data package
  * Bump minimum meson to 1.2.0
  * debian/libgtk-4-1.symbols.in: Add new symbols
  * Refresh patches
  * Add a revert patch for our gstplayer subproject
  * Add another revert patch to keep installed tests working

  [ Samuel Thibault ]
  * d/libgtk-4-1.symbols.in: Mark more Vulkan symbols as Linux-only
    (Closes: #1088749)

  [ Simon McVittie ]
  * d/rules: Make it more obvious that we're intentionally using gcc
    from the build architecture to build debian/convert-emoji
  * d/upstream/metadata: Canonicalize order
  * d/upstream/metadata: Update links to Changelog, FAQ
  * d/upstream/metadata: Add links to Documentation, Security-Contact

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Dec 2024 17:07:39 -0500
