=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
                libgraphene-1.0-dev,
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
-               libharfbuzz-dev (>= 8.0.1),
+               libharfbuzz-dev,
                libjpeg-dev,
                libjson-glib-dev:native,
                libpango1.0-dev (>= 1.52.0),
@@ -64,7 +64,7 @@
                libxml2-utils,
                libxrandr-dev,
                locales <!nocheck> | locales-all <!nocheck>,
-               meson (>= 0.63),
+               meson (>= 1.2.0),
                pkgconf,
                pkgconf:native,
                python3-docutils <!nodoc>,
@@ -102,6 +102,12 @@
             libgtk-4-media-gstreamer,
 Suggests: gvfs
 Breaks: libgtk-4-0 (<< 4.0.0),
+        ghex (<< 46.1),
+        gnome-console (<< 47.1-2~),
+        gnome-initial-setup (<< 47.2),
+        loupe (<< 47.2),
+        nautilus (<< 47.0-3~),
+        xdg-desktop-portal-gnome (<< 47.1-3~)
 Replaces: libgtk-4-0 (<< 4.0.0),
 Pre-Depends: ${misc:Pre-Depends}
 Description: GTK graphical user interface library
