## gtk4 4.17.4+ds

=== debian/changelog ===
gtk4 (4.17.4+ds-4) unstable; urgency=medium

  * Don't use mesa-vulkan-drivers for tests on ppc64el

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 13 Feb 2025 10:56:56 -0500

gtk4 (4.17.4+ds-3) unstable; urgency=medium

  * Update autopkgtest patch with version applied upstream
  * Release to unstable (Closes: #1094845, #1083055)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 11:11:10 -0500

gtk4 (4.17.4+ds-2) experimental; urgency=medium

  [ Jeremy Bícha ]
  * Don't use mesa-vulkan-drivers for tests on armel, armhf & mips64el
    (Mitigates: #1094844)

  [ Alessandro Astone ]
  * Add proposed patch to fix an autopkgtest error (Closes: #1094843)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 09:18:46 -0500

gtk4 (4.17.4+ds-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum cairo
  * Bump minimum libpng to 1.6.45
  * Remove libpng patch: applied in new release
  * debian/libgtk-4-1.symbols.in: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Feb 2025 10:10:15 -0500

gtk4 (4.17.3+ds-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum glib, harfbuzz, and pango
  * debian/libgtk-4-1.symbols.in: Add new symbols
  * Remove obsolete Breaks/Replaces
  * Remove test validation patch: applied in new release

  [ Alessandro Astone ]
  * Add proposed patch to fix compatibility with libpng-1.6.45
    (Closes: #1093335)
  * debian: Allow using vulkan in tests
  * Update memorytexture tests patch for 4.17, and include more cases

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Jan 2025 15:30:23 -0500

gtk4 (4.16.12+ds-3) unstable; urgency=medium

  * Bump minimum libpng to 1.6.45 (Closes: #1093335)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 Jan 2025 11:01:18 -0500

tk4 (4.16.12+ds-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * Add proposed patch to fix compatibility with libpng-1.6.45
    (Closes: #1093335)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Jan 2025 20:59:51 -0500

gtk4 (4.16.12+ds-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
  * d/patches: Refresh patch series (no functional changes)
  * d/patches: Update to upstream gtk-4-16 branch commit
    4.16.12-4-g0631748538
    - Fix FTBFS caused by a unit test failure
    - Translation updates: ru
  * d/rules: Make it more obvious that we're intentionally using gcc
    from the build architecture to build debian/convert-emoji
  * d/upstream/metadata: Canonicalize order
  * d/upstream/metadata: Update links to Changelog, FAQ
  * d/upstream/metadata: Add links to Documentation, Security-Contact

  [ Samuel Thibault ]
  * d/libgtk-4-1.symbols.in: Mark more Vulkan symbols as Linux-only
    (Closes: #1088749)

  [ Jeremy Bícha ]
  * d/gbp.conf: Use debian/trixie branch for 4.16.x
  * Unicode emoji updates corresponding to the new upstream release:
    - d/missing-sources: Update emojibase to commit 04b7926
    - d/missing-sources: Update Unicode data to 16.0

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Jan 2025 17:37:42 +0000
