=== debian/control ===
--- 
+++ 
@@ -20,11 +20,10 @@
                gir1.2-pangocairo-1.0-dev,
                gir1.2-xlib-2.0-dev,
                glslc,
-               gobject-introspection (>= 1.76.0),
-               gobject-introspection (>= 1.78.1-9~) <cross>,
+               gobject-introspection (>= 1.80.0),
                gsettings-desktop-schemas <!nocheck>,
                iso-codes <!nocheck>,
-               libcairo2-dev (>= 1.18.0),
+               libcairo2-dev (>= 1.18.2),
                libcolord-dev <!pkg.gtk4.nocolord>,
                libcloudproviders-dev (>= 0.3.1),
                libcpdb-dev (>= 2.0~b5),
@@ -35,15 +34,15 @@
                libfontconfig-dev,
                libfribidi-dev,
                libgdk-pixbuf-2.0-dev,
-               libglib2.0-dev (>= 2.76.0),
+               libglib2.0-dev (>= 2.80.0),
                libgraphene-1.0-dev,
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
-               libharfbuzz-dev,
+               libharfbuzz-dev (>= 8.4.0),
                libjpeg-dev,
                libjson-glib-dev:native,
-               libpango1.0-dev (>= 1.52.0),
-               libpng-dev,
+               libpango1.0-dev (>= 1.56.0),
+               libpng-dev (>= 1.6.46-2~),
                libpolkit-gobject-1-dev [linux-any],
                librsvg2-common [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el s390x powerpc ppc64 riscv64 sparc64 x32] <!nocheck>,
                librsvg2-dev (>= 2.52.0) [amd64 arm64 armel armhf i386 loong64 mips64el ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
@@ -64,6 +63,7 @@
                libxml2-utils,
                libxrandr-dev,
                locales <!nocheck> | locales-all <!nocheck>,
+               mesa-vulkan-drivers [amd64 arm64 i386 loong64 powerpc riscv64 s390x sparc64] <!nocheck>,
                meson (>= 1.2.0),
                pkgconf,
                pkgconf:native,
@@ -101,15 +101,6 @@
             librsvg2-common (>= 2.52.0),
             libgtk-4-media-gstreamer,
 Suggests: gvfs
-Breaks: libgtk-4-0 (<< 4.0.0),
-        ghex (<< 46.1),
-        gnome-console (<< 47.1-2~),
-        gnome-initial-setup (<< 47.2),
-        loupe (<< 47.2),
-        nautilus (<< 47.0-3~),
-        xdg-desktop-portal-gnome (<< 47.1-3~)
-Replaces: libgtk-4-0 (<< 4.0.0),
-Pre-Depends: ${misc:Pre-Depends}
 Description: GTK graphical user interface library
  GTK is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK is suitable
@@ -160,8 +151,6 @@
          ${shlibs:Depends},
          libgtk-4-common (>= ${source:Version}),
          libgtk-4-1 (>= ${source:Version})
-Breaks: gtk-4-examples (<< 3.96.0-3~)
-Replaces: gtk-4-examples (<< 3.96.0-3~)
 Description: programs for the GTK graphical user interface library
  GTK is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK is suitable
@@ -176,14 +165,14 @@
 Architecture: any
 Multi-Arch: same
 Depends: gir1.2-gtk-4.0 (= ${binary:Version}),
-         libcairo2-dev (>= 1.18.0),
+         libcairo2-dev (>= 1.18.2),
          libegl1-mesa-dev [linux-any],
          libepoxy-dev (>= 1.0),
          libfontconfig-dev,
          libgdk-pixbuf-2.0-dev (>= 2.30.0),
-         libglib2.0-dev (>= 2.76.0),
+         libglib2.0-dev (>= 2.80.0),
          libgraphene-1.0-dev (>= 1.9.1),
-         libpango1.0-dev (>= 1.52.0),
+         libpango1.0-dev (>= 1.56.0),
          libwayland-dev (>= 1.21.0) [linux-any],
          libx11-dev,
          libxcomposite-dev,
