## gtk4 4.18.2+ds

=== debian/changelog ===
gtk4 (4.18.2+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Delete 3 patches included in new release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 18 Mar 2025 17:11:16 +0100

gtk4 (4.17.5+ds-3) unstable; urgency=medium

  * Don't use mesa-vulkan-drivers for tests on s390x
  * Backport patches to fix flakiness when rendering with FP pixel formats.
    This allows us to drop the workarounds to ignore test failures when using
    floating-point pixel formats. It also fixes artifacts in gtk4 applications
    visible mostly when using the asahi driver.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 26 Feb 2025 15:50:53 -0500

gtk4 (4.17.5+ds-2) unstable; urgency=medium

  * Add patch to fix color precision FTBFS issue on some architectures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 24 Feb 2025 16:13:46 -0500

gtk4 (4.17.5+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #1098624)
    - Fix numeric mode in spin buttons (LP: #2060164)
  * debian/libgtk-4-1.symbols.in: Add new symbols
  * Bump minimum wayland and wayland-protocols
  * Remove font patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Feb 2025 22:47:12 -0500
