## gtk4 4.18.4+ds

=== debian/changelog ===
gtk4 (4.18.4+ds-1) unstable; urgency=medium

  * New upstream bugfix release (LP: #2106391)
    - Fix cursor icons getting stuck on incorrect versions (LP: #2106299)
  * Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 07 Apr 2025 14:33:36 +0200

gtk4 (4.18.3+ds-1) unstable; urgency=medium

  * New upstream release (LP: #2105406)
  * debian/libgtk-4-common.install: Install new Inspector gsettings schemas

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 29 Mar 2025 18:07:09 -0400
