=== debian/control ===
--- 
+++ 
@@ -49,7 +49,7 @@
                libsysprof-capture-4-dev (>= 3.40.1) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
                libtiff-dev,
                libvulkan-dev [linux-any],
-               libwayland-dev (>= 1.21.0) [linux-any],
+               libwayland-dev (>= 1.23.0) [linux-any],
                libx11-dev,
                libxcomposite-dev,
                libxcursor-dev,
@@ -63,14 +63,14 @@
                libxml2-utils,
                libxrandr-dev,
                locales <!nocheck> | locales-all <!nocheck>,
-               mesa-vulkan-drivers [amd64 arm64 i386 loong64 powerpc riscv64 s390x sparc64] <!nocheck>,
+               mesa-vulkan-drivers [amd64 arm64 i386 loong64 powerpc riscv64 sparc64] <!nocheck>,
                meson (>= 1.2.0),
                pkgconf,
                pkgconf:native,
                python3-docutils <!nodoc>,
                python3-gi (>= 3.40) <!nocheck>,
                sassc,
-               wayland-protocols (>= 1.36) [linux-any],
+               wayland-protocols (>= 1.41) [linux-any],
                weston [linux-any] <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -173,7 +173,7 @@
          libglib2.0-dev (>= 2.80.0),
          libgraphene-1.0-dev (>= 1.9.1),
          libpango1.0-dev (>= 1.56.0),
-         libwayland-dev (>= 1.21.0) [linux-any],
+         libwayland-dev (>= 1.23.0) [linux-any],
          libx11-dev,
          libxcomposite-dev,
          libxcursor-dev,
@@ -186,7 +186,7 @@
          libxrandr-dev,
          libvulkan-dev [linux-any],
          pkgconf,
-         wayland-protocols (>= 1.36) [linux-any],
+         wayland-protocols (>= 1.41) [linux-any],
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
