=== debian/rules ===
--- 
+++ 
@@ -172,7 +172,7 @@
 
 override_dh_auto_build: rebuild-emoji
 rebuild-emoji:
-	gcc -o debian/convert-emoji gtk/emoji/convert-emoji.c $$(${DEB_BUILD_GNU_TYPE}-pkgconf --cflags --libs json-glib-1.0)
+	${DEB_BUILD_GNU_TYPE}-gcc -o debian/convert-emoji gtk/emoji/convert-emoji.c $$(${DEB_BUILD_GNU_TYPE}-pkgconf --cflags --libs json-glib-1.0)
 	set -eu; for input in debian/missing-sources/emojibase/packages/data/??/data.raw.json; do \
 		lang="$$(echo "$$input" | sed -ne 's,^.*/\([a-z][a-z]\)/data.raw.json$$,\1,p')"; \
 		output="gtk/emoji/$$lang.data"; \
